> ## Documentation Index
> Fetch the complete documentation index at: https://docs.meld.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Search webhook profiles

> Returns a list of webhook profiles that match the query parameters. The webhook profiles are sorted by name.



## OpenAPI

````yaml /openapi/webhooks-20260203.json get /notifications/webhooks
openapi: 3.1.0
info:
  title: WEBHOOKS
  termsOfService: urn:tos
  license:
    name: Apache 2.0
    url: https://springdoc.org
  version: '2026-02-03'
  description: ''
servers:
  - url: https://api-sb.meld.io
    description: Meld API sandbox
  - url: https://api.meld.io
    description: Meld API production
security: []
tags:
  - name: Settings
paths:
  /notifications/webhooks:
    get:
      tags:
        - Profile
      summary: Search webhook profiles
      description: >-
        Returns a list of webhook profiles that match the query parameters. The
        webhook profiles are sorted by name.
      operationId: webhooks-profiles-search
      parameters:
        - name: before
          in: query
          description: >-
            Unique key corresponding to a webhook profile's position in the
            paginated list of results -- used to indicate that only profiles
            residing before this key will be retrieved.


            Each webhook profile carries a unique key. Reference
            [Pagination](https://docs.meld.io/docs/pagination)


            The ***before*** and ***after*** fields cannot be used in the same
            request.
          required: false
          schema:
            type: string
        - name: after
          in: query
          description: >-
            Unique key corresponding to a webhook profile's position in the
            paginated list of results -- used to indicate that only profiles
            residing after this key will be retrieved.


            Each webhook profile carries a unique key. Reference
            [Pagination](https://docs.meld.io/docs/pagination)


            The ***before*** and ***after*** fields cannot be used in the same
            request.
          required: false
          schema:
            type: string
        - name: limit
          in: query
          description: |-
            Max number of webhook profiles that should be returned.

            *Default value*: 10

            *Minimum value*: 1

            *Maximum value*: 100
          required: false
          schema:
            type: integer
            format: int32
      responses:
        '200':
          description: Matching webhook profiles are returned
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/WebhookProfilePage'
        '400':
          description: 'Bad Request : check request values and format'
        '401':
          description: Invalid credentials
        '403':
          description: Unauthenticated or authenticated with insufficient access
        '500':
          description: >-
            Server Error. This applies to all 5xx errors, including but not
            limited to 500, 501, 502, 503, and 504 errors. You should treat all
            of these errors the same.
      security:
        - ApiKeyAuth: []
components:
  schemas:
    WebhookProfilePage:
      type: object
      properties:
        count:
          type: integer
          format: int32
          description: Number of webhook profiles returned
        remaining:
          type: integer
          format: int32
          description: >-
            The number of remaining webhook profiles before/after this page,
            depending the direction this page was selected
        webhookProfiles:
          type: array
          description: List of webhook profiles
          items:
            $ref: '#/components/schemas/WebhookProfile'
    WebhookProfile:
      type: object
      properties:
        accountId:
          type: string
          description: Account Id
        eventTypes:
          type: array
          description: >-
            Event types that will be sent to the URL. If empty, then all events
            will be sent to the URL.


            Reference [Webhook events](https://docs.meld.io/docs/webhook-events)
          items:
            type: string
        eventVersion:
          type: string
          description: |-
            Version of webhooks sent to the URL.

            Reference [Webhook version](https://docs.meld.io/docs/versioning)
        id:
          type: string
          description: Unique identifier
        key:
          type: string
          description: >-
            Unique key corresponding to a webhook profile's position in a
            paginated list of results. Only present if this webhook profile is
            in a paginated response.


            Reference [Pagination](https://docs.meld.io/docs/pagination)
        name:
          type: string
          description: Display name
        secret:
          type: string
          description: >-
            Secret used to validate authenticity of a webhook.


            Reference [Webhook
            authentication](https://docs.meld.io/docs/webhook-authentication)
        status:
          type: string
          description: Current status
          enum:
            - ACTIVE
            - DISABLED
        url:
          type: string
          description: URL where webhooks will be sent
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      x-default: BASIC <Meld API Key>

````